searchData={"items":[{"type":"module","title":"Cogito","doc":"A module that build parsers and parses a string.\n\n**Known parsers**:\n\n* json\n* mathematical expressions\n* nginx logs [WIP]\n\nBut you can easily build your own.","ref":"Cogito.html"},{"type":"function","title":"Cogito.json_parser/0","doc":"","ref":"Cogito.html#json_parser/0"},{"type":"function","title":"Cogito.json_parser!/0","doc":"","ref":"Cogito.html#json_parser!/0"},{"type":"function","title":"Cogito.maths_parser/1","doc":"","ref":"Cogito.html#maths_parser/1"},{"type":"function","title":"Cogito.maths_parser!/1","doc":"","ref":"Cogito.html#maths_parser!/1"},{"type":"function","title":"Cogito.parse/2","doc":"","ref":"Cogito.html#parse/2"},{"type":"module","title":"Cogito.Combinators","doc":"A list of basic combinators.","ref":"Cogito.Combinators.html"},{"type":"module","title":"Combinators - Cogito.Combinators","doc":"* `identity`\n* `char`\n* `map`\n* `concat`\n* `either`\n* `star`\n* `plus`\n* `seq`\n* `fseq`\n* `nth`\n* `repeat`\n* `choice`\n* `optional`\n* `join`\n* `ignore`\n* `eos`\n* `lazy`","ref":"Cogito.Combinators.html#module-combinators"},{"type":"function","title":"Cogito.Combinators.char/1","doc":"","ref":"Cogito.Combinators.html#char/1"},{"type":"function","title":"Cogito.Combinators.choice/1","doc":"","ref":"Cogito.Combinators.html#choice/1"},{"type":"function","title":"Cogito.Combinators.concat/3","doc":"","ref":"Cogito.Combinators.html#concat/3"},{"type":"function","title":"Cogito.Combinators.either/2","doc":"","ref":"Cogito.Combinators.html#either/2"},{"type":"function","title":"Cogito.Combinators.eos/1","doc":"","ref":"Cogito.Combinators.html#eos/1"},{"type":"function","title":"Cogito.Combinators.eos!/1","doc":"","ref":"Cogito.Combinators.html#eos!/1"},{"type":"function","title":"Cogito.Combinators.fseq/2","doc":"","ref":"Cogito.Combinators.html#fseq/2"},{"type":"function","title":"Cogito.Combinators.identity/1","doc":"","ref":"Cogito.Combinators.html#identity/1"},{"type":"function","title":"Cogito.Combinators.ignore/1","doc":"","ref":"Cogito.Combinators.html#ignore/1"},{"type":"function","title":"Cogito.Combinators.join/1","doc":"","ref":"Cogito.Combinators.html#join/1"},{"type":"macro","title":"Cogito.Combinators.lazy/1","doc":"","ref":"Cogito.Combinators.html#lazy/1"},{"type":"function","title":"Cogito.Combinators.map/2","doc":"","ref":"Cogito.Combinators.html#map/2"},{"type":"function","title":"Cogito.Combinators.nth/2","doc":"","ref":"Cogito.Combinators.html#nth/2"},{"type":"function","title":"Cogito.Combinators.optional/1","doc":"","ref":"Cogito.Combinators.html#optional/1"},{"type":"function","title":"Cogito.Combinators.plus/1","doc":"","ref":"Cogito.Combinators.html#plus/1"},{"type":"function","title":"Cogito.Combinators.repeat/2","doc":"","ref":"Cogito.Combinators.html#repeat/2"},{"type":"function","title":"Cogito.Combinators.seq/1","doc":"","ref":"Cogito.Combinators.html#seq/1"},{"type":"function","title":"Cogito.Combinators.star/1","doc":"","ref":"Cogito.Combinators.html#star/1"},{"type":"module","title":"Cogito.Json","doc":"Basic json parser with error handling.","ref":"Cogito.Json.html"},{"type":"module","title":"Input examples - Cogito.Json","doc":"* `\\\"Daniil Serov\\\"`\n* `[[], [[]]]`\n* `[[], [1], 2, [[3, [\\\" \\\"]]]]`\n* `[1, {a: \\\"hello\\\", b: [1, 2, 3]}, null]`\n* `{employees: [{John: {age: 20, car: null}}, {Anna: {age: 23, car: \\\"Lada\\\"}}]}`","ref":"Cogito.Json.html#module-input-examples"},{"type":"function","title":"Cogito.Json.parser/0","doc":"","ref":"Cogito.Json.html#parser/0"},{"type":"function","title":"Cogito.Json.parser!/0","doc":"","ref":"Cogito.Json.html#parser!/0"},{"type":"module","title":"Cogito.Mathematical","doc":"Basic mathematical expressions parser with error handling.","ref":"Cogito.Mathematical.html"},{"type":"module","title":"Input examples - Cogito.Mathematical","doc":"* `---(+ 10)`\n* `(1 + 2 + 3 - 4 + 5) - 4 * -10`\n* `3.14 / 100 * 10000 - (100.0 + (100.1 + 100.2))`\n* `((2 * (3 + 4) / 7) + 3) / -5`","ref":"Cogito.Mathematical.html#module-input-examples"},{"type":"module","title":"With awesome operations - Cogito.Mathematical","doc":"* `1 min 2`\n* `10 + 20 max (100.5 min 29.9)`\n* `24 max 3 hypot 4 - 2`","ref":"Cogito.Mathematical.html#module-with-awesome-operations"},{"type":"module","title":"Variables - Cogito.Mathematical","doc":"* `y max 3 hypot 4 - x`\n* `((x1 * (x2 + x3) / 7) + 3) / -x4`","ref":"Cogito.Mathematical.html#module-variables"},{"type":"function","title":"Cogito.Mathematical.parser/1","doc":"","ref":"Cogito.Mathematical.html#parser/1"},{"type":"function","title":"Cogito.Mathematical.parser!/1","doc":"","ref":"Cogito.Mathematical.html#parser!/1"},{"type":"module","title":"Cogito.Primitives","doc":"A list of primitive parsers.","ref":"Cogito.Primitives.html"},{"type":"module","title":"Parsers - Cogito.Primitives","doc":"* `chars`\n* `not_chars`\n* `word`\n* `space`\n* `ws`\n* `digit`\n* `natural`\n* `integer`\n* `float`\n* `letter`\n* `letter_or_digit`\n* `identifier`\n* `wrap`\n* `string`","ref":"Cogito.Primitives.html#module-parsers"},{"type":"function","title":"Cogito.Primitives.chars/1","doc":"","ref":"Cogito.Primitives.html#chars/1"},{"type":"function","title":"Cogito.Primitives.digit/0","doc":"","ref":"Cogito.Primitives.html#digit/0"},{"type":"function","title":"Cogito.Primitives.float/0","doc":"","ref":"Cogito.Primitives.html#float/0"},{"type":"function","title":"Cogito.Primitives.identifier/0","doc":"","ref":"Cogito.Primitives.html#identifier/0"},{"type":"function","title":"Cogito.Primitives.integer/0","doc":"","ref":"Cogito.Primitives.html#integer/0"},{"type":"function","title":"Cogito.Primitives.letter/0","doc":"","ref":"Cogito.Primitives.html#letter/0"},{"type":"function","title":"Cogito.Primitives.letter_or_digit/0","doc":"","ref":"Cogito.Primitives.html#letter_or_digit/0"},{"type":"function","title":"Cogito.Primitives.natural/0","doc":"","ref":"Cogito.Primitives.html#natural/0"},{"type":"function","title":"Cogito.Primitives.not_chars/1","doc":"","ref":"Cogito.Primitives.html#not_chars/1"},{"type":"function","title":"Cogito.Primitives.space/0","doc":"","ref":"Cogito.Primitives.html#space/0"},{"type":"function","title":"Cogito.Primitives.string/0","doc":"","ref":"Cogito.Primitives.html#string/0"},{"type":"function","title":"Cogito.Primitives.word/1","doc":"","ref":"Cogito.Primitives.html#word/1"},{"type":"function","title":"Cogito.Primitives.wrap/3","doc":"","ref":"Cogito.Primitives.html#wrap/3"},{"type":"function","title":"Cogito.Primitives.ws/0","doc":"","ref":"Cogito.Primitives.html#ws/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}